Delete an intent category
curl --request DELETE \
--url https://api.alpic.ai/v1/environments/{environmentId}/intent-categories/{categoryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpic.ai/v1/environments/{environmentId}/intent-categories/{categoryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpic.ai/v1/environments/{environmentId}/intent-categories/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}insights
Delete an intent category
Delete an intent category; its intents are unlinked but not deleted
DELETE
/
v1
/
environments
/
{environmentId}
/
intent-categories
/
{categoryId}
Delete an intent category
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment
The ID of the category
Response
The intent category has been deleted successfully
Was this page helpful?
⌘I